'2011 IDesign Inc. All rights reserved 
'Questions? Comments? go to 
'http://www.idesign.net

Imports MyNamespace
Imports System.ServiceModel.Description

Partial Friend Class MyClient
	Inherits Form
   Public Sub New()
        InitializeComponent()
   End Sub

    Private Sub callButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim proxy As New ContactManagerClient()

        For Each operation In proxy.Endpoint.Contract.Operations
            Dim behavior = operation.Behaviors.Find(Of DataContractSerializerOperationBehavior)()
            behavior.DataContractResolver = New CustomerResolver()
        Next operation

        Dim customer As New Customer()
        customer.FirstName = "Juval"
        customer.LastName = "Lowy"
        customer.CustomerNumber = 123

        proxy.AddContact(customer)
        proxy.AddContact(customer)
        proxy.AddContact(customer)

        Dim contacts() = proxy.GetContacts()

        proxy.Close()
    End Sub

End Class



