﻿'2011 IDesign Inc. All rights reserved 
'Questions? Comments? go to 
'http://www.idesign.net

Imports System.Runtime.Serialization
Imports System.ServiceModel
Imports MyNamespace

Namespace MyNamespace
   <DataContract>
   Friend Class Contact
	  <DataMember>
	  Public Property FirstName() As String

	  <DataMember>
	  Public Property LastName() As String
   End Class

   <DataContract>
   Friend Class Customer
	   Inherits Contact
	  <DataMember>
	  Public Property CustomerNumber() As Integer
   End Class
End Namespace

<ServiceContract>
Friend Interface IContactManager
   <OperationContract>
   Sub AddContact(ByVal contact As Contact)

   <OperationContract>
   Function GetContacts() As Contact()
End Interface

Friend Class ContactManagerClient
	Inherits ClientBase(Of IContactManager)
	Implements IContactManager
   Public Sub AddContact(ByVal contact As Contact) Implements IContactManager.AddContact
	  Channel.AddContact(contact)
   End Sub

   Public Function GetContacts() As Contact() Implements IContactManager.GetContacts
	  Return Channel.GetContacts()
   End Function
End Class

