﻿'2011 IDesign Inc. All rights reserved 
'Questions? Comments? go to 
'http://www.idesign.net

Imports System.Runtime.Serialization
Imports System.Xml
Imports MyNamespace


Friend Class CustomerResolver
	Inherits DataContractResolver
   Private ReadOnly Property [Namespace]() As String
	  Get
            If GetType(Customer).Namespace Is Nothing Then
                Return "global"
            Else
                Return GetType(Customer).Namespace
            End If
        End Get
   End Property

   Private ReadOnly Property Name() As String
	  Get
		 Return GetType(Customer).Name
	  End Get
    End Property

    Public Overrides Function ResolveName(ByVal typeName As String,
                                          ByVal typeNamespace As String,
                                          ByVal declaredType As Type,
                                          ByVal knownTypeResolver As DataContractResolver) As Type
        If typeName = Name AndAlso typeNamespace = [Namespace] Then
            Return GetType(Customer)
        Else
            Return knownTypeResolver.ResolveName(typeName, typeNamespace, declaredType, Nothing)
        End If
    End Function

    Public Overrides Function TryResolveType(ByVal type As Type,
                                             ByVal declaredType As Type,
                                             ByVal knownTypeResolver As DataContractResolver,
                                             <System.Runtime.InteropServices.Out()> ByRef typeName As XmlDictionaryString,
                                             <System.Runtime.InteropServices.Out()> ByRef typeNamespace As XmlDictionaryString) As Boolean
        If type Is GetType(Customer) Then
            Dim dictionary As New XmlDictionary()
            typeName = dictionary.Add(Name)
            typeNamespace = dictionary.Add([Namespace])

            Return True
        Else
            Return knownTypeResolver.TryResolveType(type, declaredType, Nothing, typeName, typeNamespace)
        End If
    End Function
End Class
